{% extends "base.html" %}
{% load staticfiles %}
{% load i18n %}

{% block title %}{% trans 'Departments list' %}{% endblock %}

{% block head %}
{% endblock head %}

{% block content %}

  {% include 'department/department_handle.html' %}

  <table id="dg" class="easyui-datagrid" title="" style="width:100%;height:400px;" rownumbers='false' singleSelect='false' pagination='false' fitColumns='true' nowrap='true'>
    <thead>
      <tr>
        <th data-options="field:'ck',checkbox:true"></th>
        <th data-options="field:'id',align:'center',width:180" hidden="hidden">Index</th>
        <th data-options="field:'depart_id',align:'center',width:180">Department Number</th>
        <th data-options="field:'depart_name',align:'center',width:100">Department Name</th>
        <th data-options="field:'company_name',align:'center',width:180">Company Name</th>
        <th data-options="field:'employee',align:'center',width:180">Employee</th>
      </tr>
    </thead>
    <tbody>
	    {% for department in departments %}
	      <tr>
	        <td><input type="checkbox" class=""></td>
          <td hidden="hidden"><a href="{% url 'department_edit' department.id %}">{{ department.id }}</a></td>
	        <td><a href="{% url 'department_edit' department.id %}">{{ department.depart_id }}</a></td>
	        <td>{{ department.depart_name }}</td>
	        <td>{{ department.company.company_name }}</td>
          <td><a href="/data/employee/filter_department/{{ department.id }}" title="">employee</a></td>
	      </tr>
	   	{% endfor %}
    </tbody>
  	</table>

   {% include 'paginator.html' with paginator=departments %}

{% endblock content %}
